Skip to main content
`Ctrl`+`K`

# MATSEQAIJHIPSPARSE

MATAIJHIPSPARSE = “(seq)aijhipsparse” - A matrix type to be used for sparse matrices on AMD GPUs A matrix type whose data resides on AMD GPUs. These matrices can be in either CSR, ELL, or Hybrid format. All matrix calculations are performed on AMD/NVIDIA GPUs using the HIPSPARSE library.

## Options Database Keys

- -mat_type aijhipsparse - sets the matrix type to `MATSEQAIJHIPSPARSE`

- -mat_hipsparse_storage_format csr - sets the storage format of matrices (for `MatMult()` and factors in `MatSolve()`). Other options include ell (ellpack) or hyb (hybrid).

- -mat_hipsparse_mult_storage_format csr - sets the storage format of matrices (for `MatMult()`). Other options include ell (ellpack) or hyb (hybrid).

- -mat_hipsparse_use_cpu_solve - Do `MatSolve()` on the CPU

## See Also

Matrices, `Mat`, `MatCreateSeqAIJHIPSPARSE()`, `MATAIJHIPSPARSE`, `MatCreateAIJHIPSPARSE()`, `MatHIPSPARSESetFormat()`, `MatHIPSPARSEStorageFormat`, `MatHIPSPARSEFormatOperation`

## Level

beginner

## Location

src/mat/impls/aij/seq/seqhipsparse/aijhipsparse.hip.cxx

## Examples

src/ksp/ksp/tutorials/ex79.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages